package com.madeu.service.web.webattendance;

import java.util.HashMap;

public interface WebAttendanceService {

	public HashMap<String, Object> selectListAttendanceIntro(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectListAttendance(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectListAttendanceExcel(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectListTodayAttendance(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> insertAttendance(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectAttendanceCommute(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> updateAttendanceCommute(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectAttendanceVacation(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> insertAttendanceVacation(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> updateAttendanceVacation(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> updateAttendanceVacationCancel(HashMap<String, Object> paramMap) throws Exception;
	
}
